summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-editors/juffed
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-editors/juffed')
-rw-r--r--app-editors/juffed/Manifest1
-rw-r--r--app-editors/juffed/files/0.10-link-libjuff-against-libenca.patch24
-rw-r--r--app-editors/juffed/juffed-0.10.ebuild45
-rw-r--r--app-editors/juffed/metadata.xml8
4 files changed, 78 insertions, 0 deletions
diff --git a/app-editors/juffed/Manifest b/app-editors/juffed/Manifest
new file mode 100644
index 00000000000..7a99c7f300e
--- /dev/null
+++ b/app-editors/juffed/Manifest
@@ -0,0 +1 @@
+DIST juffed-0.10-1054.tar.bz2 1657118 SHA256 ac58d32acaf9d60e4758e9ae05b1a6b7fc0cb7ecd3b207db769dbb9c747be16c SHA512 023e9fca1f02fdb39645bd41700c7481fe8d6ae08ec62b0bf5ba58f627eb6872f96d27f05eae4bc92d90fd204dd0c30f868c858de873ab6511ac21748254b47c WHIRLPOOL ceb9e0dc9100dd5f2578abc14fff336adf664726d8e347f9832ffc4942c36e6e28aaff931fd528e6f572bcb29e4027ee486a82ee93d216d0751b5d8aa4233f6c
diff --git a/app-editors/juffed/files/0.10-link-libjuff-against-libenca.patch b/app-editors/juffed/files/0.10-link-libjuff-against-libenca.patch
new file mode 100644
index 00000000000..5bd3882309a
--- /dev/null
+++ b/app-editors/juffed/files/0.10-link-libjuff-against-libenca.patch
@@ -0,0 +1,24 @@
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index ccad5d1..304c0aa 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -190,6 +190,9 @@ add_library ( ${JUFFLIB} SHARED
+ target_link_libraries ( ${JUFFLIB}
+ ${QT_LIBRARIES}
+ )
++if (ENCA_FOUND)
++ target_link_libraries( ${JUFFLIB} ${ENCA_LIBRARIES} )
++endif (ENCA_FOUND)
+
+ add_library ( ${QSCI_ENGINE} SHARED
+ ${juffed_qsci_SRCS}
+@@ -277,9 +280,6 @@ target_link_libraries ( ${JUFFED}
+ ${QT_LIBRARIES}
+ ${QT_QTNETWORK_LIBRARY}
+ )
+-if (ENCA_FOUND)
+- target_link_libraries( ${JUFFED} ${ENCA_LIBRARIES} )
+-endif (ENCA_FOUND)
+
+ if ( UNIX )
+ set(CMAKE_CXX_FLAGS "-Wall -Werror -Wextra")
diff --git a/app-editors/juffed/juffed-0.10.ebuild b/app-editors/juffed/juffed-0.10.ebuild
new file mode 100644
index 00000000000..068d98c4708
--- /dev/null
+++ b/app-editors/juffed/juffed-0.10.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit cmake-utils
+
+DESCRIPTION="QScintilla-based tabbed text editor with syntax highlighting"
+HOMEPAGE="http://juffed.com/"
+SRC_URI="mirror://sourceforge/${PN}/${P}-1054.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~ppc ~ppc64 x86"
+IUSE="debug"
+
+RDEPEND="
+ app-i18n/enca
+ dev-qt/qtcore:4
+ dev-qt/qtgui:4
+ dev-qt/qtsingleapplication[qt4(+),X]
+ x11-libs/qscintilla:=
+"
+DEPEND="${RDEPEND}"
+
+DOCS=( ChangeLog README )
+
+PATCHES=(
+ # bug 540554
+ "${FILESDIR}/0.10-link-libjuff-against-libenca.patch"
+)
+
+src_prepare() {
+ cmake-utils_src_prepare
+
+ sed -i -e '/set(CMAKE_CXX_FLAGS/d' CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DUSE_SYSTEM_QTSINGLEAPPLICATION=ON
+ )
+ cmake-utils_src_configure
+}
diff --git a/app-editors/juffed/metadata.xml b/app-editors/juffed/metadata.xml
new file mode 100644
index 00000000000..ac2cf167fb1
--- /dev/null
+++ b/app-editors/juffed/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>qt</herd>
+ <upstream>
+ <remote-id type="sourceforge">juffed</remote-id>
+ </upstream>
+</pkgmetadata>